Open SCAP Library

Enumerations | Functions
cvss_score.h File Reference
CVSS

Interface to Common Vulnerability Scoring System Version 2. More...

`#include <stdbool.h>`
`#include <time.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Enumerations
enum | cvss_category { CVSS_NONE = 0x0000, CVSS_BASE = 0x0100, CVSS_TEMPORAL = 0x0200, CVSS_ENVIRONMENTAL = 0x0300 }
| CVSS score category.
enum | cvss_access_vector { CVSS_AV_NOT_SET, CVSS_AV_LOCAL, CVSS_AV_ADJACENT_NETWORK, CVSS_AV_NETWORK, CVSS_AV_END_ }
| CVSS access vector.
enum | cvss_access_complexity { CVSS_AC_NOT_SET, CVSS_AC_HIGH, CVSS_AC_MEDIUM, CVSS_AC_LOW, CVSS_AC_END_ }
| CVSS access complexity.
enum | cvss_authentication { CVSS_AU_NOT_SET, CVSS_AU_MULTIPLE, CVSS_AU_SINGLE, CVSS_AU_NONE, CVSS_AU_END_ }
| CVSS Authentication.
enum | cvss_cia_impact { CVSS_IMP_NOT_SET, CVSS_IMP_NONE, CVSS_IMP_PARTIAL, CVSS_IMP_COMPLETE, CVSS_IMP_END_ }
| CVSS Confidentiality/Integrity/Availibility impact.
enum | cvss_exploitability { CVSS_E_NOT_DEFINED, CVSS_E_UNPROVEN, CVSS_E_PROOF_OF_CONCEPT, CVSS_E_FUNCTIONAL, CVSS_E_HIGH, CVSS_E_END_ }
| CVSS Exploitability.
enum | cvss_remediation_level { CVSS_RL_NOT_DEFINED, CVSS_RL_OFFICIAL_FIX, CVSS_RL_TEMPORARY_FIX, CVSS_RL_WORKAROUND, CVSS_RL_UNAVAILABLE, CVSS_RL_END_ }
| CVSS Remediation Level.
enum | cvss_report_confidence { CVSS_RC_NOT_DEFINED, CVSS_RC_UNCONFIRMED, CVSS_RC_UNCORROBORATED, CVSS_RC_CONFIRMED, CVSS_RC_END_ }
| CVSS Report Confidence.
enum | cvss_collateral_damage_potential { CVSS_CDP_NOT_DEFINED, CVSS_CDP_NONE, CVSS_CDP_LOW, CVSS_CDP_LOW_MEDIUM, CVSS_CDP_MEDIUM_HIGH, CVSS_CDP_HIGH, CVSS_CDP_END_ }
| CVSS Collateral Damage Potential.
enum | cvss_target_distribution { CVSS_TD_NOT_DEFINED, CVSS_TD_NONE, CVSS_TD_LOW, CVSS_TD_MEDIUM, CVSS_TD_HIGH, CVSS_TD_END_ }
| CVSS Target Distribution.
enum | cvss_cia_requirement { CVSS_REQ_NOT_DEFINED, CVSS_REQ_LOW, CVSS_REQ_MEDIUM, CVSS_REQ_HIGH, CVSS_REQ_END_ }
| CVSS Confidentiality/Integrity/Availibility requirement.

## Functions
const char * | cvss_model_supported (void)
| Get supported version of CVSS XML.
float | cvss_round (float x)
| Round x to one decimal place as described in CVSS standard.

## Detailed Description

Interface to Common Vulnerability Scoring System Version 2.